Subscribe
Accepted Solution

1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

Hi, Team,

 

We have a new two-node switchless cluster installed with FAS system- FAS8020 with ONTAP-9.1P2. While looking into the cluster, we found that and

System ACP Connectivity: Inband Active

systems have two stacks, one with IOM6 Disk Shelves and another with IOM3 Disk shelf. we found below error regarding ABCP.

 


In-Band ACP is enabled. But
1. Associated IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later.
2. For existing IOM6 Modules firmware-update-required.

Here I have some questions ;

 

1. As IOM3 doesn't support IBACP, we would require replacing with IOM6 or later?

 

2. can't we run IBACP for IOM6 and OOBACP for IOM3 combined in the same system?

 

3. If we don't wish to upgrade IOM3 to IOM6, we only left to use OOBACP? This will require all ethernet cabling again?

 

4. If we get IOM3 upgraded to IOM6. Do we need to update the firmware on IOM6 again? 

 

 

Regards,

 

Khalid Anwar

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

Hi Khalid,

 

1. Yes, you will need all IOM6 replacement modules for In-band.

 

2. & 3. If you retain the IOM3, I'm not sure you will achieve "Full Connectivity" without all shelves being cabled out-of-band, since it will detect different number of shelves between IBACP and OOBACP.

 

4. Regarding the firmware, so long as you are running 0190 or later (0191 latest) you only need to perform the upgrade once.

 

If possible I would try to go down the IOM6 replacement route. IOM3 has an End of Support date of 31-Jan-2021 (FAS8020 is not until 31-Dec-2022).

 

Hope this helps,

 

Cheers,

Grant.

 

 

 

 

 

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

Thanks, Grant,

 

I heard that ONTAP-9.2 supports even IOM3 for IBACP. But Can not find any proof. Any thoughts?

 

Regards,

 

Khalid Anwar

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

[ Edited ]

Hi Khalid ,

 

Support was added in 9.2P1 as a feature request under burt 1105827 for IOM3 for the FAS2500 and FAS8000 series only. It is not my understanding that this extended to IBACP support, which I as far as I'm aware have never existed.

 

https://mysupport.netapp.com/NOW/cgi-bin/bol?Type=Detail&Display=1105827

 

Thanks,

Grant.

 

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu


sgrant wrote:

https://mysupport.netapp.com/NOW/cgi-bin/bol?Type=Detail&Display=1105827


Publicly visible information does not mention IBACP supprot anywhere. Just to be sure - is it really about IBACP or just about removing "unsupported" flag?

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

Hi Grant,

 

That is really great news then !  If we upgrade ONTAP to 9.2P1, we can use IBACP for IOM3 and having IOM6 mixed in the env should not cause any issue ?

 

Regards,

 

Khalid Anwar

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

[ Edited ]

Correct, it is just about support for the IOM3 module in ONTAP 9.2 for FAS2500 and FAS8000 series, which was withdrawn in the GA release.

 

As far as I'm aware there was never IBACP for IOM3 modules. In-band ACP minimum is IOM6 module and fw 0209.

 

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

Sorry, I'll edit my original reply to avoid any further confusion.

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

To recap...

 

1. IOM3 never has and never WILL support inband-ACP. this is due to a hardware limitation.

 

2. IOM3 support (I.e. monitor/manage storage with IOM3/DS4243) was removed in ONTAP 9.2. It is restored in 9.2P1 and will be in 9.3.

 

3. With IOM3 and IOM6 mixed storage your only option for full ACP features is to use OOB-ACP (and cable up the ACP ports).

Re: 1. IOM3 module is not supported in in-band configuration. Upgrade to IOM6 or later. 2. IOM6 Modu

Missed one last correction...

 

IOM6 ACP FW 0209 is required for inband ACP. 0210 is recommended.